
import java.util.*;
import java.text.*;
import java.net.*;
import java.io.*;


public class DiskLog {

//  private static DateFormat mDateFormat = DateFormat.getDateTimeInstance(DateFormat.SHORT,DateFormat.SHORT);
  private static File mLogDirectory =   new File(WebWatcher.getUserHome()+"WebWatcherLogs");///logfile_"+title+"_"+mDateFormat.format(new Date())+".txt";

  private DiskLog() {
  }

  public static void main(String[] t) {
    log("t","t");
  }

  public static void log(String title, String content) {
    if(DebugOptions.DiskLog) {
      String filename = "logfile_"+title+"_"+System.currentTimeMillis()+".txt";
      //System.out.println(filename);
      File file = new File( mLogDirectory,filename);
      System.out.println(file.getPath());
      mLogDirectory.mkdirs();
      try {
       file.createNewFile();
      } catch( IOException ioe) {
       ioe.printStackTrace();
       return;
     }
      BufferedWriter out = null;
      try {
        out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(file)));
        out.write(content);
      } catch (IOException ieo) {
        System.err.println(ieo.toString());
      } finally {
        try {
          out.close();
        } catch (IOException ieo) {
          System.err.println(ieo.toString());
        }
      }
    }
  }
}