/* -*- mode: Java; c-basic-offset: 4 -*- */
/*------------------------------------------------------------------------
 |  FILE            PropertyProvider.java
 |  PART OF         WebWatcher - A web-page update monitor
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

import java.io.*;

/**
 * 
 *
 * @author   Sverre H. Huseby
 *           &lt;<A HREF="mailto:shh@thathost.com">shh@thathost.com</A>&gt;
 * @version  $Id: PropertyProvider.java,v 1.1.1.1 2000/10/03 12:41:14 lemire Exp $
 */
public interface PropertyProvider  {
/*-----------------------------------------------------------------------+
 |  PUBLIC INTERFACE                                                     |
 +----------------------------------------------------------------------*/
    public String  getProperty(String key);
    public void    setProperty(String key, String value);
    public int     getIntProperty(String key);
    public void    setIntProperty(String key, int value);
    public boolean getBooleanProperty(String key);
    public void    setBooleanProperty(String key, boolean value);
    public void    saveProperties() throws IOException;
}
